// Copyright 2020 The Pigweed Authors
//
// Licensed under the Apache License, Version 2.0 (the "License"); you may not
// use this file except in compliance with the License. You may obtain a copy of
// the License at
//
//     https://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
// WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
// License for the specific language governing permissions and limitations under
// the License.
syntax = "proto3";

import 'pw_protobuf_test_deps_protos/imported.proto';
import 'pw_protobuf_test_protos/imported.proto';
import 'pw_protobuf_protos/common.proto';
import 'test_prefix/test_prefix_imported.proto';

package pw.protobuf.test;

message Period {
  imported.Timestamp start = 1;
  imported.Timestamp end = 2;
}

message Nothing {
  pw.protobuf.Empty nothing = 1;
}

message TestResult {
  imported.Status status = 1;
}

message TestMessage {
  oneof level {
    imported.Notice notice = 1;
    imported.Debug debug = 2;
    imported.PrefixDebug prefix_debug = 3;
  }
}
